linters: linters_with_tags( # lintr_3.1.1
    tags = c("package_development", "readability", "best_practices"),
    line_length_linter = line_length_linter(100L),
    T_and_F_symbol_linter = NULL,
    quotes_linter = NULL,
    commented_code_linter = NULL,
    implicit_integer_linter = NULL,
    vector_logic_linter = NULL,
    extraction_operator_linter = NULL,
    function_left_parentheses_linter = NULL,
    semicolon_linter = NULL,
    indentation_linter = NULL,
    unnecessary_nested_if_linter = NULL, 
    if_not_else_linter = NULL,
    object_length_linter = NULL,
    infix_spaces_linter(exclude_operators = "~")
  )
exclusions: list(
    "R/Load.R",
    "R/ColorBar.R",
    "R/AnimateMap.R", "R/Plot2VarsVsLTime.R", "R/PlotACC.R", "R/PlotAno.R", "R/PlotBoxWhisker.R",
    "R/PlotClim.R", "R/PlotEquiMap.R", "R/PlotLayout.R", "R/PlotMatrix.R",
    "R/PlotSection.R", "R/PlotStereoMap.R",  "R/PlotVsLTime.R",
    "R/ConfigApplyMatchingEntries.R", "R/ConfigEditDefinition.R", "R/ConfigEditEntry.R",
    "R/ConfigFileOpen.R", "R/ConfigShowSimilarEntries.R", "R/ConfigShowTable.R",
    "R/clim.palette.R",
    "R/sampleDepthData.R", "R/sampleMap.R", "R/sampleTimeSeries.R",
    "R/ToyModel.R",
    "R/s2dv-package.R",
    "tests/testthat/",
    "tests/testthat.R",
    "R/CDORemap.R" = list(
      function_argument_linter = Inf,
      nonportable_path_linter = Inf
    ),
    "R/NAO.R" = list(
      function_argument_linter = Inf
    ),
    "R/Utils.R" = list(
      function_argument_linter = Inf,
      nonportable_path_linter = Inf
    )
  )
